using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// rb_workflow_condition Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_Condition
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 模版id
        /// </summary>        
        public int? TemplateId
        {
            get;
            set;
        }
        /// <summary>
        /// 请假类型 (1 年假 2 事假 3 病假 4 调休 5 产假 6 婚假 7 例假 8 丧假) json格式 [1,2,3]
        /// </summary>        
        public string AskforleaveType
        {
            get;
            set;
        }
        /// <summary>
        /// 1天数  2 小时
        /// </summary>        
        public int? DayHour
        {
            get;
            set;
        }
        /// <summary>
        /// 1小于  2 大于  3 等于  4小于等于  5 大于等于  6介于直接
        /// </summary>        
        public int? ConditionType
        {
            get;
            set;
        }
        /// <summary>
        /// 开始值
        /// </summary>        
        public double? StartValue
        {
            get;
            set;
        }
        /// <summary>
        /// 1大于   2大于等于
        /// </summary>        
        public int? StartType
        {
            get;
            set;
        }
        /// <summary>
        /// 结束值
        /// </summary>        
        public double? EndValue
        {
            get;
            set;
        }
        /// <summary>
        /// 1小于  2小于等于
        /// </summary>        
        public int? EndType
        {
            get;
            set;
        }
        /// <summary>
        /// (优先级)排序
        /// </summary>        
        public int? Sort
        {
            get;
            set;
        }
    }
}